#!/usr/bin/env sh

make clean
rm -rf .idea
rm -f wyatt_clean_code.iml
rm .fvm/flutter_sdk
cd ../../
echo "Brick generator..."
dart tools/brick_generator/bin/brick_generator.dart wyatt_clean_code wyatt_clean_code wyatt-clean-code "Wyatt Demo" com.example.wyatt_clean_code

echo "Make platforms optional..."
mkdir bricks/wyatt_clean_code/__brick__/{{#enable_android}}android\{\{
mv -f bricks/wyatt_clean_code/__brick__/android/ bricks/wyatt_clean_code/__brick__/{{#enable_android}}android{{/enable_android}}

mkdir bricks/wyatt_clean_code/__brick__/{{#enable_ios}}ios\{\{
mv -f bricks/wyatt_clean_code/__brick__/ios/ bricks/wyatt_clean_code/__brick__/{{#enable_ios}}ios{{/enable_ios}}

mkdir bricks/wyatt_clean_code/__brick__/{{#enable_web}}web\{\{
mv -f bricks/wyatt_clean_code/__brick__/web/ bricks/wyatt_clean_code/__brick__/{{#enable_web}}web{{/enable_web}}

rm bricks/wyatt_clean_code/__brick__/generate.sh
rm -rf bricks/wyatt_clean_code/__brick__/.fvm/flutter_sdk